Package org.eclipse.emf.cdo.transfer.ui

# Class TransferDropAdapter

java.lang.Object
org.eclipse.swt.dnd.DropTargetAdapter
org.eclipse.jface.viewers.ViewerDropAdapter
org.eclipse.net4j.util.ui.dnd.DNDDropAdapter<Object>
org.eclipse.emf.cdo.transfer.ui.TransferDropAdapter

All Implemented Interfaces:
  `EventListener`, `DropTargetListener`

public class TransferDropAdapter extends org.eclipse.net4j.util.ui.dnd.DNDDropAdapter<Object>
A `drop adapter` that can `support` a `viewer` to create and perform `transfers` of the dragged elements to target `elements`.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

`LOCATION_AFTER, LOCATION_BEFORE, LOCATION_NONE, LOCATION_ON`

## Constructor Summary

Constructors
Constructor
Description
`TransferDropAdapter(StructuredViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`protected List<CDOTransferElement>`
`getSourceElements(Object data)`
`protected CDOTransferElement`
`getTargetElement(Object target)`
`protected TransferUIProvider[]`
`getUIProviders()`
`protected boolean`
`performDrop(Object data, Object target)`
`static TransferDropAdapter`
`support(StructuredViewer viewer)`
`protected boolean`
`validateTarget(Object target, int operation)`

### Methods inherited from class org.eclipse.net4j.util.ui.dnd.DNDDropAdapter

`determineLocation, getTransfers, getViewer, isDropBetweenEnabled, performDrop, setDropBetweenEnabled, setTransfers, validateDrop, validateTransfer`

### Methods inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

`clearState, determineTarget, dragEnter, dragOperationChanged, dragOver, drop, dropAccept, getBounds, getCurrentEvent, getCurrentLocation, getCurrentOperation, getCurrentTarget, getFeedbackEnabled, getSelectedObject, getThreshold, handleException, overrideOperation, setExpandEnabled, setFeedbackEnabled, setScrollEnabled, setScrollExpandEnabled, setSelectionFeedbackEnabled`

### Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter

`dragLeave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransferDropAdapter

public TransferDropAdapter(StructuredViewer viewer)

## Method Details

### getContainer

protected org.eclipse.net4j.util.container.IManagedContainer getContainer()

### getUIProviders

protected TransferUIProvider[] getUIProviders()

### validateTarget

protected boolean validateTarget(Object target, int operation)

Specified by:
  `validateTarget` in class `org.eclipse.net4j.util.ui.dnd.DNDDropAdapter<Object>`

### performDrop

protected boolean performDrop(Object data, Object target)

Specified by:
  `performDrop` in class `org.eclipse.net4j.util.ui.dnd.DNDDropAdapter<Object>`

### getSourceElements

protected List<CDOTransferElement> getSourceElements(Object data)

### getTargetElement

protected CDOTransferElement getTargetElement(Object target)

### support

public static TransferDropAdapter support(StructuredViewer viewer)